// This class is based on the RoundFishDisplay class, version 1 August 2002
// by Alyce Brady

// Original copyright notice:

// AP(r) Computer Science Marine Biology Simulation:
// The FishDisplay class is copyright(c) 2002 College Entrance
// Examination Board (www.collegeboard.com).
//
// This class is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation.
//
// This class is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

package model.fish.display;

/**
 * Display for a round fish.
 *
 * @author Mathias Ricken
 */
public class RoundFishDisplay extends ParamFishDisplay {
    private static final double BODY_WIDTH = .75, BODY_LENGTH = .7;
    private static final double TAIL_WIDTH = .6, TAIL_LENGTH = .3;
    private static final double EYE_SIZE = .12;

    /**
     * Make an object that knows how to display round-ish fish.
     */
    public RoundFishDisplay() {
        super(BODY_WIDTH, BODY_LENGTH, TAIL_WIDTH, TAIL_LENGTH, EYE_SIZE);
    }
}
